/// <reference types="node" />
import t = require('@babel/types');
import { CSSProperties } from 'jsxstyle-utils';
import { CacheObject, StyleProps } from '../../types';
import { BabylonPlugin } from './parse';
export interface ExtractStylesOptions {
  classNameFormat?: 'hash';
  liteMode?: boolean | 'react' | 'preact';
  namedStyleGroups?: {
    [key: string]: CSSProperties;
  };
  parserPlugins?: BabylonPlugin[];
  styleGroups?: StyleProps[];
  whitelistedModules?: string[];
  cssModules?: boolean;
  evaluateVars?: boolean;
}
export interface Options {
  cacheObject: CacheObject;
  errorCallback?: (str: string, ...args: any[]) => void;
  warnCallback?: (str: string, ...args: any[]) => void;
}
export default function extractStyles(
  src: string | Buffer,
  sourceFileName: string,
  /** non-user-configurable options */
  { cacheObject, warnCallback, errorCallback }: Options,
  options?: ExtractStylesOptions
): {
  js: string | Buffer;
  css: string;
  cssFileName: string | null;
  ast: t.File;
  map: any;
};
