'use strict';
Object.defineProperty(exports, '__esModule', { value: true });
const handledMethods = {
  // exists: true,
  // existsSync: true,
  // readlink: true,
  // readlinkSync: true,
  mkdir: true,
  mkdirp: true,
  mkdirpSync: true,
  mkdirSync: true,
  readdir: true,
  readdirSync: true,
  readFile: true,
  readFileSync: true,
  rmdir: true,
  rmdirSync: true,
  stat: true,
  statSync: true,
  unlink: true,
  unlinkSync: true,
  writeFile: true,
  writeFileSync: true,
};
function wrapFileSystem(fs, memoryFS) {
  return new Proxy(fs, {
    get: (target, key) => {
      const value = target[key];
      if (handledMethods.hasOwnProperty(key)) {
        return function(filePath, ...args) {
          if (filePath.endsWith('__jsxstyle.css')) {
            return memoryFS[key](filePath, ...args);
          }
          return value.call(this, filePath, ...args);
        };
      }
      return value;
    },
  });
}
exports.default = wrapFileSystem;
//# sourceMappingURL=wrapFileSystem.js.map
